// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "event/Event.hpp"
#include "asset/AssetManager.hpp"

namespace Dawn {
  class DawnGame;

  struct LocalizedString {
    std::string data;
  };

  class LanguageManager {
    private:
      DawnGame *game;
      LanguageAsset *asset;

    public:
      Event<> eventLanguageChanged;

      LanguageManager(DawnGame *game);

      struct LocalizedString getString(std::string key);
  };
}